<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\DriverMaster;
use App\Models\User;

class DriverMasterPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any DriverMaster');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, DriverMaster $drivermaster): bool
    {
        return $user->checkPermissionTo('view DriverMaster');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create DriverMaster');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, DriverMaster $drivermaster): bool
    {
        return $user->checkPermissionTo('update DriverMaster');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, DriverMaster $drivermaster): bool
    {
        return $user->checkPermissionTo('delete DriverMaster');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any DriverMaster');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, DriverMaster $drivermaster): bool
    {
        return $user->checkPermissionTo('restore DriverMaster');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any DriverMaster');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, DriverMaster $drivermaster): bool
    {
        return $user->checkPermissionTo('replicate DriverMaster');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder DriverMaster');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, DriverMaster $drivermaster): bool
    {
        return $user->checkPermissionTo('force-delete DriverMaster');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any DriverMaster');
    }
}
